"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewCmd = void 0;
const cmd_1 = require("./cmd");
const R = require("ramda");
class NewCmd extends cmd_1.Cmd {
    constructor() {
        super(...arguments);
        this.options = [
            ['-v, --verbose', 'Verbose'],
            ['-p, --production', 'Production Mode'],
        ];
    }
    async init() {
        await super.init();
        this.commands = this.bchain;
    }
    async launchCommand(cmd, args) {
        await this.init();
        cmd = this.commands[cmd];
        if (!cmd) {
            (0, cmd_1.log)('command options:', R.keys(this.commands));
            return;
        }
        await cmd.call(this.commands, ...args).toPromise();
        (0, cmd_1.log)('this.exit', this.exitOnComplete);
        if (this.exitOnComplete)
            process.exit();
    }
}
exports.NewCmd = NewCmd;
new NewCmd().run();
