export declare const commands: {
    createMultiSig: string[];
    getInfo: any[];
    getRuntimeParams: any[];
    setRunTimeparam: string[];
    getBlockchainParams: any[];
    help: any[];
    stop: any[];
    validateAddress: string[];
    createKeyPairs: {
        count: number;
    }[];
    addMultiSigAddress: string[];
    dumpPrivKey: string[];
    getAddresses: {
        verbose: boolean;
    }[];
    getNewAddress: any[];
    importAddress: (string | {
        label: string;
        rescan?: undefined;
    } | {
        rescan: boolean;
        label?: undefined;
    })[];
    listAddresses: any[];
    grant: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        'end-block'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
    })[];
    grantFrom: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        'end-block'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
        'end-block'?: undefined;
        comment?: undefined;
    })[];
    grantWithData: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
    })[];
    grantWithMetadata: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
    })[];
    grantWithDatafrom: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
    })[];
    grantWithMetadataFrom: (string | {
        'native-amount': any;
        'start-block'?: undefined;
        'end-block'?: undefined;
    } | {
        'start-block': any;
        'native-amount'?: undefined;
        'end-block'?: undefined;
    } | {
        'end-block': any;
        'native-amount'?: undefined;
        'start-block'?: undefined;
    })[];
    listPermissions: ({
        permissions: string;
        addresses?: undefined;
        verbose?: undefined;
    } | {
        addresses: string;
        permissions?: undefined;
        verbose?: undefined;
    } | {
        verbose: boolean;
        permissions?: undefined;
        addresses?: undefined;
    })[];
    revoke: (string | {
        'native-amount': number;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: string;
        'native-amount'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        'native-amount'?: undefined;
        comment?: undefined;
    })[];
    revokeFrom: (string | {
        'native-amount': number;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: string;
        'native-amount'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        'native-amount'?: undefined;
        comment?: undefined;
    })[];
    issue: (string | {
        units: number;
        'native-amount'?: undefined;
        details?: undefined;
    } | {
        'native-amount': number;
        units?: undefined;
        details?: undefined;
    } | {
        details: {};
        units?: undefined;
        'native-amount'?: undefined;
    })[];
    issueFrom: (string | {
        units: number;
        'native-amount'?: undefined;
        details?: undefined;
    } | {
        'native-amount': number;
        units?: undefined;
        details?: undefined;
    } | {
        details: {};
        units?: undefined;
        'native-amount'?: undefined;
    })[];
    issueMore: (string | {
        'native-amount': number;
        details?: undefined;
    } | {
        details: {};
        'native-amount'?: undefined;
    })[];
    issueMoreFrom: (string | {
        'native-amount': number;
        details?: undefined;
    } | {
        details: {};
        'native-amount'?: undefined;
    })[];
    listAssets: ({
        asset: string;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    } | {
        verbose: boolean;
        asset?: undefined;
        count?: undefined;
        start?: undefined;
    } | {
        count: number;
        asset?: undefined;
        verbose?: undefined;
        start?: undefined;
    } | {
        start: number;
        asset?: undefined;
        verbose?: undefined;
        count?: undefined;
    })[];
    getAddressBalances: (string | {
        minconf: number;
        includeLocked?: undefined;
    } | {
        includeLocked: boolean;
        minconf?: undefined;
    })[];
    getAddressTransaction: (string | {
        verbose: boolean;
    })[];
    getMultiBalances: ({
        addresses: string;
        assets?: undefined;
        minconf?: undefined;
        includeWatchOnly?: undefined;
        includeLocked?: undefined;
    } | {
        assets: any[];
        addresses?: undefined;
        minconf?: undefined;
        includeWatchOnly?: undefined;
        includeLocked?: undefined;
    } | {
        minconf: number;
        addresses?: undefined;
        assets?: undefined;
        includeWatchOnly?: undefined;
        includeLocked?: undefined;
    } | {
        includeWatchOnly: boolean;
        addresses?: undefined;
        assets?: undefined;
        minconf?: undefined;
        includeLocked?: undefined;
    } | {
        includeLocked: boolean;
        addresses?: undefined;
        assets?: undefined;
        minconf?: undefined;
        includeWatchOnly?: undefined;
    })[];
    getTotalBalances: ({
        minconf: number;
        includeWatchOnly?: undefined;
        includeLocked?: undefined;
    } | {
        includeWatchOnly: boolean;
        minconf?: undefined;
        includeLocked?: undefined;
    } | {
        includeLocked: boolean;
        minconf?: undefined;
        includeWatchOnly?: undefined;
    })[];
    getWalletTransaction: (string | {
        includeWatchOnly: boolean;
        verbose?: undefined;
    } | {
        verbose: boolean;
        includeWatchOnly?: undefined;
    })[];
    listAddressTransactions: (string | {
        count: number;
        skip?: undefined;
        verbose?: undefined;
    } | {
        skip: number;
        count?: undefined;
        verbose?: undefined;
    } | {
        verbose: boolean;
        count?: undefined;
        skip?: undefined;
    })[];
    listWalletTransactions: ({
        count: number;
        skip?: undefined;
        includeWatchOnly?: undefined;
        verbose?: undefined;
    } | {
        skip: number;
        count?: undefined;
        includeWatchOnly?: undefined;
        verbose?: undefined;
    } | {
        includeWatchOnly: boolean;
        count?: undefined;
        skip?: undefined;
        verbose?: undefined;
    } | {
        verbose: boolean;
        count?: undefined;
        skip?: undefined;
        includeWatchOnly?: undefined;
    })[];
    getAsseTtransaction: (string | {
        verbose: boolean;
    })[];
    listAssetTransactions: (string | {
        verbose: boolean;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    sendAssetFrom: (string | {
        'native-amount': number;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: string;
        'native-amount'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        'native-amount'?: undefined;
        comment?: undefined;
    })[];
    sendAsset: (string | {
        'native-amount': number;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: string;
        'native-amount'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        'native-amount'?: undefined;
        comment?: undefined;
    })[];
    sendAssetToAddress: (string | {
        'native-amount': number;
        comment?: undefined;
        'comment-to'?: undefined;
    } | {
        comment: string;
        'native-amount'?: undefined;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        'native-amount'?: undefined;
        comment?: undefined;
    })[];
    sendFrom: (string | {
        comment: string;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        comment?: undefined;
    })[];
    sendFromAddress: (string | {
        comment: string;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        comment?: undefined;
    })[];
    send: (string | {
        comment: string;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        comment?: undefined;
    })[];
    sendToAddress: (string | {
        comment: string;
        'comment-to'?: undefined;
    } | {
        'comment-to': string;
        comment?: undefined;
    })[];
    sendwithData: string[];
    sendWithMetadata: string[];
    sendwithDataFrom: string[];
    sendWithMetadataFrom: string[];
    appendRawExchange: string[];
    completeRawExchange: string[];
    createRawExchange: string[];
    decodeRawExchange: (string | {
        verbose: boolean;
    })[];
    disableRawTransaction: string[];
    prepareLockUnspent: (string | {
        lock: boolean;
    })[];
    prepareLockUnspentFrom: (string | {
        lock: boolean;
    })[];
    create: (string | {
        type: string;
        details?: undefined;
    } | {
        details: {};
        type?: undefined;
    })[];
    createFrom: (string | {
        type: string;
        details?: undefined;
    } | {
        details: {};
        type?: undefined;
    })[];
    listStreams: ({
        stream: string;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    } | {
        verbose: string;
        stream?: undefined;
        count?: undefined;
        start?: undefined;
    } | {
        count: any;
        stream?: undefined;
        verbose?: undefined;
        start?: undefined;
    } | {
        start: any;
        stream?: undefined;
        verbose?: undefined;
        count?: undefined;
    })[];
    subscribe: (string | {
        rescan: boolean;
    })[];
    unsubscribe: string[];
    getTxOutData: string[];
    listStreamKeyItems: (string | {
        verbose: boolean;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    listStreamKeys: (string | {
        key: string;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        verbose: boolean;
        key?: undefined;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        key?: undefined;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        key?: undefined;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        key?: undefined;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    listStreamItems: (string | {
        verbose: string;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    listStreamPublisherItems: (string | {
        verbose: boolean;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    listStreamPublishers: (string | {
        address: string;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        verbose: boolean;
        address?: undefined;
        count?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        count: number;
        address?: undefined;
        verbose?: undefined;
        start?: undefined;
        'local-ordering'?: undefined;
    } | {
        start: number;
        address?: undefined;
        verbose?: undefined;
        count?: undefined;
        'local-ordering'?: undefined;
    } | {
        'local-ordering': boolean;
        address?: undefined;
        verbose?: undefined;
        count?: undefined;
        start?: undefined;
    })[];
    getStreamItem: (string | {
        verbose: boolean;
    })[];
    publish: string[];
    publishFrom: string[];
    combineUnspent: ({
        addresses: string;
        minconf?: undefined;
        maxcombines?: undefined;
        mininputs?: undefined;
        maxinputs?: undefined;
        maxtime?: undefined;
    } | {
        minconf: number;
        addresses?: undefined;
        maxcombines?: undefined;
        mininputs?: undefined;
        maxinputs?: undefined;
        maxtime?: undefined;
    } | {
        maxcombines: number;
        addresses?: undefined;
        minconf?: undefined;
        mininputs?: undefined;
        maxinputs?: undefined;
        maxtime?: undefined;
    } | {
        mininputs: number;
        addresses?: undefined;
        minconf?: undefined;
        maxcombines?: undefined;
        maxinputs?: undefined;
        maxtime?: undefined;
    } | {
        maxinputs: number;
        addresses?: undefined;
        minconf?: undefined;
        maxcombines?: undefined;
        mininputs?: undefined;
        maxtime?: undefined;
    } | {
        maxtime: number;
        addresses?: undefined;
        minconf?: undefined;
        maxcombines?: undefined;
        mininputs?: undefined;
        maxinputs?: undefined;
    })[];
    listLockUnspent: any[];
    listUnspent: ({
        minconf: number;
        maxconf?: undefined;
        receivers?: undefined;
    } | {
        maxconf: number;
        minconf?: undefined;
        receivers?: undefined;
    } | {
        receivers: any[];
        minconf?: undefined;
        maxconf?: undefined;
    })[];
    lockUnspent: (string | {
        outputs: any[];
    })[];
    appendRawChange: (string | {
        'native-fee': any;
    })[];
    appendRawData: string[];
    appendRawMetadata: string[];
    appendRawTransaction: (string | {
        data: any;
        action?: undefined;
    } | {
        action: any;
        data?: undefined;
    })[];
    decodeScript: string[];
    createRawTransaction: (string | {
        data: any;
        action?: undefined;
    } | {
        action: any;
        data?: undefined;
    })[];
    createRawSendFrom: string[];
    decodeRawTransaction: string[];
    sendRawTransaction: string[];
    signRawTransaction: (string | {
        parents: any;
        privatekeys?: undefined;
        sighashtype?: undefined;
    } | {
        privatekeys: any;
        parents?: undefined;
        sighashtype?: undefined;
    } | {
        sighashtype: any;
        parents?: undefined;
        privatekeys?: undefined;
    })[];
    searchRawTransactions: (string | {
        verbose: number;
        skip?: undefined;
        count?: undefined;
    } | {
        skip: number;
        verbose?: undefined;
        count?: undefined;
    } | {
        count: number;
        verbose?: undefined;
        skip?: undefined;
    })[];
    addNode: string[];
    getAddedNodeinfo: (string | {
        verbose: string;
    })[];
    getconnectioncount: any[];
    getnettotals: any[];
    getNetworkInfo: any[];
    getPeerInfo: any[];
    ping: any[];
    signMessage: string[];
    verifyMessage: string[];
    getBlock: (string | {
        format: boolean;
    })[];
    getBlockByHeight: string[];
    getBlockHash: string[];
    getBlockCount: any[];
    getBestBlockHash: any[];
    getBlockchainInfo: any[];
    getChainTips: any[];
    getdifficulty: any[];
    getmempoolinfo: any[];
    getRawMempool: {
        verbose: boolean;
    }[];
    listblocks: (string | {
        verbose: number;
    })[];
    listupgrades: {
        'upgrade-identifiers': string;
    }[];
    verifychain: ({
        checklevel: number;
        numblocks?: undefined;
    } | {
        numblocks: number;
        checklevel?: undefined;
    })[];
    getBlockHeader: (string | {
        verbose: boolean;
    })[];
    getChainTxStats: ({
        nblocks: any;
        blockhash?: undefined;
    } | {
        blockhash: any;
        nblocks?: undefined;
    })[];
    getmempoolancestors: (string | {
        verbose: boolean;
    })[];
    getmempooldescendants: (string | {
        verbose: boolean;
    })[];
    getmempoolentry: string[];
    gettxout: (string | {
        include_mempool: boolean;
    })[];
    gettxoutproof: ({
        txid: any[];
        blockhash?: undefined;
    } | {
        blockhash: any;
        txid?: undefined;
    })[];
    gettxoutsetinfo: any[];
    preciousblock: string[];
    pruneblockchain: any[];
    verifytxoutproof: string[];
    getRawTransaction: (string | {
        verbose: number;
    })[];
    getTxOut: (string | {
        unconfirmed: boolean;
    })[];
    clearMemPool: any[];
    pause: string[];
    resume: string[];
    setLastBlock: string[];
    getMiningInfo: any[];
    getgenerate: any[];
    gethashespersec: any[];
    setgenerate: (string | {
        genproclimit: string;
    })[];
    backupWallet: string[];
    dumpWallet: string[];
    encryptWallet: string[];
    getWalletInfo: any[];
    importPrivKey: (string | {
        label: string;
        rescan?: undefined;
    } | {
        rescan: boolean;
        label?: undefined;
    })[];
    importWallet: string[];
    walletLock: any[];
    walletPassphrase: string[];
    walletPassphraseChange: string[];
};
