import { Observable } from 'rxjs';
import { Base } from './base';
export declare class BChain extends Base {
    constructor(auth: any, url?: any);
    /**
    *	Below is the set of auto-generated functions.
    */
    addMultiSigAddress(nrequired: any, keys: any): Observable<any>;
    addNode(node: any, command: any): Observable<any>;
    appendRawChange(hexstring: any, address: any, native_fee?: any): Observable<any>;
    appendRawData(tx: any, data: any): Observable<any>;
    appendRawExchange(hexstring: any, txid: any, vout: any, assets: any): Observable<any>;
    appendRawMetadata(tx: any, data: any): Observable<any>;
    appendRawTransaction(tx: any, inputs: any, amounts: any, data?: {}, action?: {}): Observable<any>;
    backupWallet(filename: any): Observable<any>;
    clearMemPool(): Observable<any>;
    combineUnspent(addresses?: string, minconf?: number, maxcombines?: number, mininputs?: number, maxinputs?: number, maxtime?: number): Observable<any>;
    completeRawExchange(hexstring: any, txid: any, vout: any, assets: any, data: any): Observable<any>;
    create(type: string, name: any, open: any, details?: {}): Observable<any>;
    createFrom(from: any, type: string, name: any, open: any, details?: {}): Observable<any>;
    createKeyPairs(count?: number): Observable<any>;
    createMultiSig(nrequired: any, keys: any): Observable<any>;
    createRawExchange(txid: any, vout: any, assets: any): Observable<any>;
    createRawSendFrom(from: any, to: any): Observable<any>;
    createRawTransaction(inputs: any, amounts: any, data?: {}, action?: {}): Observable<any>;
    decodeRawExchange(hexstring: any, verbose?: boolean): Observable<any>;
    decodeRawTransaction(hexstring: any): Observable<any>;
    decodeScript(script_hex: any): Observable<any>;
    disableRawTransaction(hexstring: any): Observable<any>;
    dumpPrivKey(address: any): Observable<any>;
    dumpWallet(filename: any): Observable<any>;
    encryptWallet(passphrase: any): Observable<any>;
    getAddedNodeinfo(dns: any, verbose?: string): Observable<any>;
    getAddressBalances(address: any, minconf?: number, includeLocked?: boolean): Observable<any>;
    getAddresses(verbose?: boolean): Observable<any>;
    getAddressTransaction(address: any, txid: any, verbose?: boolean): Observable<any>;
    getAsseTtransaction(asset: any, txid: any, verbose?: boolean): Observable<any>;
    getBestBlockHash(): Observable<any>;
    getBlock(hash: any, format?: boolean): Observable<any>;
    getBlockByHeight(height: any): Observable<any>;
    getBlockchainInfo(): Observable<any>;
    getBlockchainParams(): Observable<any>;
    getBlockCount(): Observable<any>;
    getBlockHash(height: any): Observable<any>;
    getBlockHeader(hash: any, verbose?: boolean): Observable<any>;
    getChainTips(): Observable<any>;
    getChainTxStats(nblocks?: any, blockhash?: any): Observable<any>;
    getconnectioncount(): Observable<any>;
    getdifficulty(): Observable<any>;
    getgenerate(): Observable<any>;
    gethashespersec(): Observable<any>;
    getInfo(): Observable<any>;
    getmempoolancestors(txid: any, verbose?: boolean): Observable<any>;
    getmempooldescendants(txid: any, verbose?: boolean): Observable<any>;
    getmempoolentry(txid: any): Observable<any>;
    getmempoolinfo(): Observable<any>;
    getMiningInfo(): Observable<any>;
    getMultiBalances(addresses?: string, assets?: any[], minconf?: number, includeWatchOnly?: boolean, includeLocked?: boolean): Observable<any>;
    getnettotals(): Observable<any>;
    getNetworkInfo(): Observable<any>;
    getNewAddress(): Observable<any>;
    getPeerInfo(): Observable<any>;
    getRawMempool(verbose?: boolean): Observable<any>;
    getRawTransaction(txid: any, verbose?: number): Observable<any>;
    getRuntimeParams(): Observable<any>;
    getStreamItem(stream: any, txid: any, verbose?: boolean): Observable<any>;
    getTotalBalances(minconf?: number, includeWatchOnly?: boolean, includeLocked?: boolean): Observable<any>;
    gettxout(txid: any, n: any, include_mempool?: boolean): Observable<any>;
    getTxOut(txid: any, vout: any, unconfirmed?: boolean): Observable<any>;
    getTxOutData(txid: any, vout: any): Observable<any>;
    gettxoutproof(txid?: any[], blockhash?: any): Observable<any>;
    gettxoutsetinfo(): Observable<any>;
    getWalletInfo(): Observable<any>;
    getWalletTransaction(txid: any, includeWatchOnly?: boolean, verbose?: boolean): Observable<any>;
    grant(addresses: any, permissions: any, native_amount?: {}, start_block?: {}, end_block?: {}, comment?: {}, comment_to?: {}): Observable<any>;
    grantFrom(from: any, to: any, permissions: any, native_amount?: {}, start_block?: {}, end_block?: {}, comment?: {}, comment_to?: {}): Observable<any>;
    grantWithData(addresses: any, permissions: any, data: any, native_amount?: {}, start_block?: {}, end_block?: {}): Observable<any>;
    grantWithDatafrom(from: any, to: any, permissions: any, data: any, native_amount?: {}, start_block?: {}, end_block?: {}): Observable<any>;
    grantWithMetadata(addresses: any, permissions: any, data: any, native_amount?: {}, start_block?: {}, end_block?: {}): Observable<any>;
    grantWithMetadataFrom(from: any, to: any, permissions: any, data: any, native_amount?: {}, start_block?: {}, end_block?: {}): Observable<any>;
    help(): Observable<any>;
    importAddress(address: any, label?: string, rescan?: boolean): Observable<any>;
    importPrivKey(privkey: any, label?: string, rescan?: boolean): Observable<any>;
    importWallet(filename: any): Observable<any>;
    issue(address: any, asset: any, qty: any, units?: number, native_amount?: number, details?: {}): Observable<any>;
    issueFrom(from: any, to: any, asset: any, qty: any, units?: number, native_amount?: number, details?: {}): Observable<any>;
    issueMore(address: any, asset: any, qty: any, native_amount?: number, details?: {}): Observable<any>;
    issueMoreFrom(from: any, to: any, asset: any, qty: any, native_amount?: number, details?: {}): Observable<any>;
    listAddresses(): Observable<any>;
    listAddressTransactions(address: any, count?: number, skip?: number, verbose?: boolean): Observable<any>;
    listAssets(asset?: string, verbose?: boolean, count?: number, start?: number): Observable<any>;
    listAssetTransactions(asset: any, verbose?: boolean, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listblocks(block_set_identifier: any, verbose?: number): Observable<any>;
    listLockUnspent(): Observable<any>;
    listPermissions(permissions?: string, addresses?: string, verbose?: boolean): Observable<any>;
    listStreamItems(stream: any, verbose?: string, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listStreamKeyItems(stream: any, key: any, verbose?: boolean, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listStreamKeys(stream: any, key?: string, verbose?: boolean, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listStreamPublisherItems(stream: any, address: any, verbose?: boolean, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listStreamPublishers(stream: any, address?: string, verbose?: boolean, count?: number, start?: number, local_ordering?: boolean): Observable<any>;
    listStreams(stream?: string, verbose?: string, count?: any, start?: any): Observable<any>;
    listUnspent(minconf?: number, maxconf?: number, receivers?: any[]): Observable<any>;
    listupgrades(upgrade_identifiers?: string): Observable<any>;
    listWalletTransactions(count?: number, skip?: number, includeWatchOnly?: boolean, verbose?: boolean): Observable<any>;
    lockUnspent(unlock: any, outputs?: any[]): Observable<any>;
    pause(tasks: any): Observable<any>;
    ping(): Observable<any>;
    preciousblock(blockhash: any): Observable<any>;
    prepareLockUnspent(assets: any, lock?: boolean): Observable<any>;
    prepareLockUnspentFrom(from: any, assets: any, lock?: boolean): Observable<any>;
    pruneblockchain(): Observable<any>;
    publish(stream: any, key: any, data: any): Observable<any>;
    publishFrom(from: any, stream: any, key: any, data: any): Observable<any>;
    resume(tasks: any): Observable<any>;
    revoke(addresses: any, permissions: any, native_amount?: number, comment?: string, comment_to?: string): Observable<any>;
    revokeFrom(from: any, to: any, permissions: any, native_amount?: number, comment?: string, comment_to?: string): Observable<any>;
    searchRawTransactions(address: any, verbose?: number, skip?: number, count?: number): Observable<any>;
    send(address: any, amount: any, comment?: string, comment_to?: string): Observable<any>;
    sendAsset(address: any, asset: any, qty: any, native_amount?: number, comment?: string, comment_to?: string): Observable<any>;
    sendAssetFrom(from: any, to: any, asset: any, qty: any, native_amount?: number, comment?: string, comment_to?: string): Observable<any>;
    sendAssetToAddress(address: any, asset: any, qty: any, native_amount?: number, comment?: string, comment_to?: string): Observable<any>;
    sendFrom(from: any, to: any, amount: any, comment?: string, comment_to?: string): Observable<any>;
    sendFromAddress(from: any, to: any, amount: any, comment?: string, comment_to?: string): Observable<any>;
    sendRawTransaction(hexstring: any): Observable<any>;
    sendToAddress(address: any, amount: any, comment?: string, comment_to?: string): Observable<any>;
    sendwithData(address: any, amount: any, data: any): Observable<any>;
    sendwithDataFrom(address: any, amount: any, data: any): Observable<any>;
    sendWithMetadata(address: any, amount: any, data: any): Observable<any>;
    sendWithMetadataFrom(from: any, to: any, amount: any, data: any): Observable<any>;
    setgenerate(generate: any, genproclimit?: string): Observable<any>;
    setLastBlock(hash: any): Observable<any>;
    setRunTimeparam(param: any, value: any): Observable<any>;
    signMessage(address: any, message: any): Observable<any>;
    signRawTransaction(hexstring: any, parents?: {}, privatekeys?: {}, sighashtype?: {}): Observable<any>;
    stop(): Observable<any>;
    subscribe(stream: any, rescan?: boolean): Observable<any>;
    unsubscribe(stream: any): Observable<any>;
    validateAddress(address: any): Observable<any>;
    verifychain(checklevel?: number, numblocks?: number): Observable<any>;
    verifyMessage(address: any, signature: any, message: any): Observable<any>;
    verifytxoutproof(proof: any): Observable<any>;
    walletLock(): Observable<any>;
    walletPassphrase(passphrase: any, timeout: any): Observable<any>;
    walletPassphraseChange(old_passphrase: any, new_passphrase: any): Observable<any>;
}
