"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bsvchain = void 0;
const index_1 = require("./index");
const R = require("ramda");
const ini = require("node-ini");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const log = R.bind(console.log, console);
class Bsvchain {
    constructor() {
        const homedir = process.env.HOME || process.env.HOMEPATH || process.env.USERPROFILE;
        const cfg1 = ini.parseSync(homedir + '/.bitcoin/bitcoin.conf');
        const url = `http://localhost:${cfg1.rpcport}/`;
        log('bchain path: ', homedir + '/.bitcoin/bitcoin.conf');
        log('bchain url: ', url);
        log('bchain conf: ', cfg1);
        this.bchain = new index_1.BChain({ username: cfg1.rpcuser, password: cfg1.rpcpassword }, url);
        this.bchain.getInfo().pipe((0, operators_1.catchError)(e => {
            log(e);
            // Tg.send('BSV update error, restarting: '+e);
            // this.checkForUpdates();
            return (0, rxjs_1.timer)(20000);
            // setTimeout(() => this.checkForUpdates(), 2000);
        })).subscribe(log, (err) => console.error(err));
    }
}
exports.Bsvchain = Bsvchain;
const test = new Bsvchain();
if (false)
    log(test);
